Package ru.bitel.bgbilling.modules.botmanager.common.bean

# Interface DialogProcessing

public interface DialogProcessing
Реализация действий до отображения диалога и после

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final String`
  `CHAT_ID`
  Уникальный идентификатор чата с пользователем.
  `static final String`
  `CONTRACT_ID`
  Ключ для хранение id договора, который будет сохранён в кеше бота, как авторизованный договор
  `static final String`
  `ERROR_MESSAGE`
  Сообщение об ошибке
  `static final String`
  `MACROS`
  Макросы для элементов диалога с типом Текст.
  `static final String`
  `NEXT_DIALOG_ID`
  ID нового диалога, на который нужно перенаправить пользователя
  `static final String`
  `REMOVE_CONTRACT`
  Удалить привязку договора к чату
  `static final String`
  `TEXT_MESSAGE`
  Какое-либо текстовое сообщение

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `preDialog(ru.bitel.bgbilling.kernel.container.managed.ServerContext serverContext, org.json.JSONObject botData)`
  Предобработка перед отображением диалога пользователю
  `void`
  `processDialog(ru.bitel.bgbilling.kernel.container.managed.ServerContext serverContext, org.json.JSONObject botData, String inputTextOfUser)`
  Обработка сообщений от пользователя в момент, когда диалог отображён на экране.
  `String`
  `title()`

- ## Field Details

  - ### CONTRACT_ID

    static final String CONTRACT_ID
    Ключ для хранение id договора, который будет сохранён в кеше бота, как авторизованный договор
    See Also:
      - Constant Field Values

  - ### ERROR_MESSAGE

    static final String ERROR_MESSAGE
    Сообщение об ошибке
    See Also:
      - Constant Field Values

  - ### TEXT_MESSAGE

    static final String TEXT_MESSAGE
    Какое-либо текстовое сообщение
    See Also:
      - Constant Field Values

  - ### REMOVE_CONTRACT

    static final String REMOVE_CONTRACT
    Удалить привязку договора к чату
    See Also:
      - Constant Field Values

  - ### NEXT_DIALOG_ID

    static final String NEXT_DIALOG_ID
    ID нового диалога, на который нужно перенаправить пользователя
    See Also:
      - Constant Field Values

  - ### MACROS

    static final String MACROS
    Макросы для элементов диалога с типом Текст. Для добавления нужно создать JSONObject, в котором ключи должныть быть самими макросами, а значение - содержимое, которое нужно установить
    See Also:
      - Constant Field Values

  - ### CHAT_ID

    static final String CHAT_ID
    Уникальный идентификатор чата с пользователем. (Для телеграм user_id==chat_id)
    See Also:
      - Constant Field Values

- ## Method Details

  - ### preDialog

    void preDialog(ru.bitel.bgbilling.kernel.container.managed.ServerContext serverContext, org.json.JSONObject botData) throws Exception
    Предобработка перед отображением диалога пользователю
    Parameters:
      `botData` - пользовательские данные для определённого диалога
    Throws:
      `Exception`

  - ### processDialog

    void processDialog(ru.bitel.bgbilling.kernel.container.managed.ServerContext serverContext, org.json.JSONObject botData, String inputTextOfUser) throws Exception
    Обработка сообщений от пользователя в момент, когда диалог отображён на экране.
    Parameters:
      `botData` - пользовательские данные для определённого диалога
      `inputTextOfUser` - данные от пользователя
    Throws:
      `Exception`

  - ### title

    String title()
    Returns:
      читабельное название данного класса для понятного отображения в интерфейсе модуя